---
title: Retrieve account billing settings
slug: reference/retrieve-account-billing-settings
docTags: 
createdAt: 2025-03-18T18:28:02.913Z
---

{
  "id": "5av-1QZi89JxrGnAisibv",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://app.amberflo.io/payments/settings",
    "servers": [
      {
        "url": "https://app.amberflo.io/payments/settings"
      }
    ],
    "name": "Retrieve account billing settings",
    "description": "<p>Fetches the current billing configuration and plan defaults for your account.\nUse this endpoint to review your billing cloud setup and verify account-level configurations.</p>\n<p>Use this endpoint to:</p>\n<ul>\n<li>Verify account configuration settings</li>\n<li>Troubleshoot billing setup issues</li>\n<li>Review plan defaults before making changes</li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "apiKey",
          "name": "X-API-KEY",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Returns the current account-level billing settings, including plan defaults and configuration options.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "Account-level pricing configuration settings that control default behavior for pricing plans and billing operations.",
            "customType": "payment.pricing.AccountPricingSettings.out",
            "schema": [
              {
                "name": "planDefaultStartUnit",
                "kind": "optional",
                "type": "string",
                "description": "Default time unit configuration for when new pricing plans become active for customers.",
                "modelRef": "#/components/schemas/payment.pricing.PlanDefaultStartUnit.in",
                "customType": "payment.pricing.PlanDefaultStartUnit.in",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/payment.pricing.AccountPricingSettings.out",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Invalid request parameters or malformed request format",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "401",
        "description": "Authentication required or invalid API key provided",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "403",
        "description": "Insufficient permissions to access account billing settings",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "Account settings not found or account not properly configured",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "500",
        "description": "Internal server error occurred while retrieving billing settings",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "ZwiXTHxlnrXGoxRGDaCaT",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://app.amberflo.io/payments/settings \\\n     --header 'accept: application/json'"
        },
        {
          "id": "KSZGAvRM9C8CFmliD_kUJ",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://app.amberflo.io/payments/settings\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "UlRBoAl-gbmMr3nACRQrG",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://app.amberflo.io/payments/settings\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "GYly3gn3ag4A5jwZ9QaMt",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://app.amberflo.io/payments/settings\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "ZwiXTHxlnrXGoxRGDaCaT"
    },
    "results": {
      "languages": [
        {
          "id": "-IbEZr2qWw10f8c6IzBo3",
          "language": "200",
          "code": "// Returns the current account-level billing settings, including plan defaults and configuration options.\n{\n  \"planDefaultStartUnit\": \"\"\n}"
        },
        {
          "id": "QtarlLJX7filBovs1hP04",
          "language": "400",
          "code": "// Invalid request parameters or malformed request format\n"
        },
        {
          "id": "VekABYwD98fntfRidi-cb",
          "language": "401",
          "code": "// Authentication required or invalid API key provided\n"
        },
        {
          "id": "PKvIiHbBZmhLWxgOoTvn3",
          "language": "403",
          "code": "// Insufficient permissions to access account billing settings\n"
        },
        {
          "id": "2bgz8XggTsaFs7OstQikS",
          "language": "404",
          "code": "// Account settings not found or account not properly configured\n"
        },
        {
          "id": "n66N5S5yVcc9f0fODrVwS",
          "language": "500",
          "code": "// Internal server error occurred while retrieving billing settings\n"
        }
      ],
      "selectedLanguageId": "-IbEZr2qWw10f8c6IzBo3"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}